Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 488618 - Review Request: Likewise Open - Likewise Active Directory Authentication Services
Summary: Review Request: Likewise Open - Likewise Active Directory Authentication Serv...
Keywords:
Status: CLOSED DUPLICATE of bug 578886
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-03-04 22:37 UTC by Krishna Ganugapati
Modified: 2010-04-01 17:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-01 18:08:58 UTC


Attachments (Terms of Use)

Description Krishna Ganugapati 2009-03-04 22:37:25 UTC
Spec URL:http://archives.likewise.com/~gcarter/Fedora/10/

SRPM URL:http://archives.likewise.com/~gcarter/Fedora/10/

Description: Likewise Open provides out-of-the-box authentication services for Linux systems to Windows Active Directory. Likewise Open accelerates the adoption of Linux systems in Windows-centric Active Directory corporate intranets.

Comment 1 Itamar Reis Peixoto 2009-03-04 23:59:20 UTC
is this your first package ?

Comment 2 Krishna Ganugapati 2009-03-05 00:55:42 UTC
yes - am I missing something?

Comment 3 Itamar Reis Peixoto 2009-03-05 03:50:06 UTC
(In reply to comment #2)
> yes - am I missing something?

yes, please get a fedora account(FAS) first

l@@k

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Get_a_Fedora_Account

after you register please join the package group( in FAS ) and post your username here.

Comment 4 Xavier Bachelot 2009-03-14 01:37:18 UTC
You need to provide a direct link to both the srpm and the spec file. Currently, one have to go to the url then look for the srpm. The spec file is not available at all and one need to download the 47 MB srpm to look at the spec.

Preliminary comments :
- License tag is not valid.
- Release is not using the disttag.
- BuildRoot is not valid. 
- Source0 and Source999 need to be a full URL.
- Spec file uses both spaces and tabs for indenting.
- The first half of the following line in %%build section is not needed :
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
- Same as above for %%clean section.
- File attributes are not set. Add the following line at the top of all the packages sections :
%defattr (-,root,root-)
- %{_libdir}/likewise is not owned by any of the packages.
- Config files are not marked as such use %config and %config(noreplace) where appropriate.
- %{_sysconfdir}/likewise is not owned.
- {_bindir}/demo is not owned.
- {_prefix}/share should be {_datadir}.
- /var should be {_localstatedir}
- %{_prefix}/bin should be %{_bindir}.
- %{_prefix}/data is not a standard dir and should not be created at all.
- No version-release for the changelog entries.
- No documentation included.
- No license file included.
- Services are provided but initscripts is not in the Requires: list nor are the proper %%pre, %preun, etc... scriptlet used.
- You can use sed -i rather than sed then move, this will make the spec easier to read.
- The build should probably not temper with the RPM_OPT_FLAGS and CFLAGS.
- The whole %%build and %%install sctions look fishy.
- Doesn't build in mock, needs at least to BuildRequires: openldap-devel, krb5-devel but even with that, build still fails.

The list above is nowhere near complete, this package needs a lot of work. Please carefully read the packaging guidelines to fix all of the above. You should also run rpmlint on all the rpms and srpm.

Also, not directly related to the review, one need to register to receive a link to the download page (http://www.likewise.com/community/index.php/download/). It seems there's no tarball to download but rather a lot of different tarballs. This is confusing...

Comment 5 Krishna Ganugapati 2009-04-13 20:40:12 UTC
(In reply to comment #4)
> You need to provide a direct link to both the srpm and the spec file.
> Currently, one have to go to the url then look for the srpm. The spec file is
> not available at all and one need to download the 47 MB srpm to look at the
> spec.
> Preliminary comments :
> - License tag is not valid.
> - Release is not using the disttag.
> - BuildRoot is not valid. 
> - Source0 and Source999 need to be a full URL.
> - Spec file uses both spaces and tabs for indenting.
> - The first half of the following line in %%build section is not needed :
> [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
> - Same as above for %%clean section.
> - File attributes are not set. Add the following line at the top of all the
> packages sections :
> %defattr (-,root,root-)
> - %{_libdir}/likewise is not owned by any of the packages.
> - Config files are not marked as such use %config and %config(noreplace) where
> appropriate.
> - %{_sysconfdir}/likewise is not owned.
> - {_bindir}/demo is not owned.
> - {_prefix}/share should be {_datadir}.
> - /var should be {_localstatedir}
> - %{_prefix}/bin should be %{_bindir}.
> - %{_prefix}/data is not a standard dir and should not be created at all.
> - No version-release for the changelog entries.
> - No documentation included.
> - No license file included.
> - Services are provided but initscripts is not in the Requires: list nor are
> the proper %%pre, %preun, etc... scriptlet used.
> - You can use sed -i rather than sed then move, this will make the spec easier
> to read.
> - The build should probably not temper with the RPM_OPT_FLAGS and CFLAGS.
> - The whole %%build and %%install sctions look fishy.
> - Doesn't build in mock, needs at least to BuildRequires: openldap-devel,
> krb5-devel but even with that, build still fails.
> The list above is nowhere near complete, this package needs a lot of work.
> Please carefully read the packaging guidelines to fix all of the above. You
> should also run rpmlint on all the rpms and srpm.
> Also, not directly related to the review, one need to register to receive a
> link to the download page
> (http://www.likewise.com/community/index.php/download/). It seems there's no
> tarball to download but rather a lot of different tarballs. This is
> confusing...  

Thank you! We're working on this.

Comment 6 Itamar Reis Peixoto 2009-04-13 20:55:46 UTC
(In reply to comment #5)


ok, please look Comment #3

Comment 7 Mamoru TASAKA 2009-05-29 16:46:48 UTC
What is the status of this bug?

Comment 8 Mamoru TASAKA 2009-07-13 17:50:03 UTC
ping ?

Comment 9 Jason Tibbitts 2009-08-01 18:08:58 UTC
No response; closing.

Comment 10 Jason Tibbitts 2010-04-01 17:14:11 UTC

*** This bug has been marked as a duplicate of bug 578886 ***


Note You need to log in before you can comment on or make changes to this bug.